Subject: Re: [MAINTAINERS SUMMIT] Device Passthrough Considered Harmful?

From: Greg KH <[email-masked]>
Date: Sun, 28 Jul 2024 17:16:28 +0200

On Sun, Jul 28, 2024 at 02:18:26PM +0300, Laurent Pinchart wrote:
> Hi Dan,
> 
> On Fri, Jul 26, 2024 at 05:16:08PM -0700, Dan Williams wrote:
> > Laurent Pinchart wrote:
> > > I know this is a topic proposed for the maintainers summit, but given
> > > the number of people who seem to have an opinion and be interested in
> > > dicussing it, would a session at LPC be a better candidate ? I don't
> > > expect the maintainer summit to invite all relevant experts from all
> > > subsystems, that would likely overflow the room.
> > > 
> > > The downside of an LPC session is that it could easily turn into a
> > > heated stage fight, and there are probably also quite a few arguments
> > > that can't really be made in the open :-S
> > 
> > A separate LPC session for a subsystem or set of subsystems to explore
> > local passthrough policy makes sense, but that is not the primary
> > motivation for also requesting a Maintainer Summit topic slot. The
> > primary motivation is discussing the provenance and navigation of
> > cross-subsystem NAKs especially in an environment where the lines
> > between net, mem, and storage are increasingly blurry at the device
> > level.
> 
> Would there be enough space at the maintainers' summit for all the
> relevant people to join the discussion ?

Who exactly would you consider the "relevant people" here?  It's been a
wide-ranging conversation/thread :)

thanks,

greg k-h